package org.w3c.dom.css;

import org.w3c.dom.DOMException;

public interface CSS2Properties
{
    public abstract String getAzimuth();
    
    public abstract void setAzimuth(String p0) throws DOMException;
    
    public abstract String getBackground();
    
    public abstract void setBackground(String p0) throws DOMException;
    
    public abstract String getBackgroundAttachment();
    
    public abstract void setBackgroundAttachment(String p0) throws DOMException;
    
    public abstract String getBackgroundColor();
    
    public abstract void setBackgroundColor(String p0) throws DOMException;
    
    public abstract String getBackgroundImage();
    
    public abstract void setBackgroundImage(String p0) throws DOMException;
    
    public abstract String getBackgroundPosition();
    
    public abstract void setBackgroundPosition(String p0) throws DOMException;
    
    public abstract String getBackgroundRepeat();
    
    public abstract void setBackgroundRepeat(String p0) throws DOMException;
    
    public abstract String getBorder();
    
    public abstract void setBorder(String p0) throws DOMException;
    
    public abstract String getBorderCollapse();
    
    public abstract void setBorderCollapse(String p0) throws DOMException;
    
    public abstract String getBorderColor();
    
    public abstract void setBorderColor(String p0) throws DOMException;
    
    public abstract String getBorderSpacing();
    
    public abstract void setBorderSpacing(String p0) throws DOMException;
    
    public abstract String getBorderStyle();
    
    public abstract void setBorderStyle(String p0) throws DOMException;
    
    public abstract String getBorderTop();
    
    public abstract void setBorderTop(String p0) throws DOMException;
    
    public abstract String getBorderRight();
    
    public abstract void setBorderRight(String p0) throws DOMException;
    
    public abstract String getBorderBottom();
    
    public abstract void setBorderBottom(String p0) throws DOMException;
    
    public abstract String getBorderLeft();
    
    public abstract void setBorderLeft(String p0) throws DOMException;
    
    public abstract String getBorderTopColor();
    
    public abstract void setBorderTopColor(String p0) throws DOMException;
    
    public abstract String getBorderRightColor();
    
    public abstract void setBorderRightColor(String p0) throws DOMException;
    
    public abstract String getBorderBottomColor();
    
    public abstract void setBorderBottomColor(String p0) throws DOMException;
    
    public abstract String getBorderLeftColor();
    
    public abstract void setBorderLeftColor(String p0) throws DOMException;
    
    public abstract String getBorderTopStyle();
    
    public abstract void setBorderTopStyle(String p0) throws DOMException;
    
    public abstract String getBorderRightStyle();
    
    public abstract void setBorderRightStyle(String p0) throws DOMException;
    
    public abstract String getBorderBottomStyle();
    
    public abstract void setBorderBottomStyle(String p0) throws DOMException;
    
    public abstract String getBorderLeftStyle();
    
    public abstract void setBorderLeftStyle(String p0) throws DOMException;
    
    public abstract String getBorderTopWidth();
    
    public abstract void setBorderTopWidth(String p0) throws DOMException;
    
    public abstract String getBorderRightWidth();
    
    public abstract void setBorderRightWidth(String p0) throws DOMException;
    
    public abstract String getBorderBottomWidth();
    
    public abstract void setBorderBottomWidth(String p0) throws DOMException;
    
    public abstract String getBorderLeftWidth();
    
    public abstract void setBorderLeftWidth(String p0) throws DOMException;
    
    public abstract String getBorderWidth();
    
    public abstract void setBorderWidth(String p0) throws DOMException;
    
    public abstract String getBottom();
    
    public abstract void setBottom(String p0) throws DOMException;
    
    public abstract String getCaptionSide();
    
    public abstract void setCaptionSide(String p0) throws DOMException;
    
    public abstract String getClear();
    
    public abstract void setClear(String p0) throws DOMException;
    
    public abstract String getClip();
    
    public abstract void setClip(String p0) throws DOMException;
    
    public abstract String getColor();
    
    public abstract void setColor(String p0) throws DOMException;
    
    public abstract String getContent();
    
    public abstract void setContent(String p0) throws DOMException;
    
    public abstract String getCounterIncrement();
    
    public abstract void setCounterIncrement(String p0) throws DOMException;
    
    public abstract String getCounterReset();
    
    public abstract void setCounterReset(String p0) throws DOMException;
    
    public abstract String getCue();
    
    public abstract void setCue(String p0) throws DOMException;
    
    public abstract String getCueAfter();
    
    public abstract void setCueAfter(String p0) throws DOMException;
    
    public abstract String getCueBefore();
    
    public abstract void setCueBefore(String p0) throws DOMException;
    
    public abstract String getCursor();
    
    public abstract void setCursor(String p0) throws DOMException;
    
    public abstract String getDirection();
    
    public abstract void setDirection(String p0) throws DOMException;
    
    public abstract String getDisplay();
    
    public abstract void setDisplay(String p0) throws DOMException;
    
    public abstract String getElevation();
    
    public abstract void setElevation(String p0) throws DOMException;
    
    public abstract String getEmptyCells();
    
    public abstract void setEmptyCells(String p0) throws DOMException;
    
    public abstract String getCssFloat();
    
    public abstract void setCssFloat(String p0) throws DOMException;
    
    public abstract String getFont();
    
    public abstract void setFont(String p0) throws DOMException;
    
    public abstract String getFontFamily();
    
    public abstract void setFontFamily(String p0) throws DOMException;
    
    public abstract String getFontSize();
    
    public abstract void setFontSize(String p0) throws DOMException;
    
    public abstract String getFontSizeAdjust();
    
    public abstract void setFontSizeAdjust(String p0) throws DOMException;
    
    public abstract String getFontStretch();
    
    public abstract void setFontStretch(String p0) throws DOMException;
    
    public abstract String getFontStyle();
    
    public abstract void setFontStyle(String p0) throws DOMException;
    
    public abstract String getFontVariant();
    
    public abstract void setFontVariant(String p0) throws DOMException;
    
    public abstract String getFontWeight();
    
    public abstract void setFontWeight(String p0) throws DOMException;
    
    public abstract String getHeight();
    
    public abstract void setHeight(String p0) throws DOMException;
    
    public abstract String getLeft();
    
    public abstract void setLeft(String p0) throws DOMException;
    
    public abstract String getLetterSpacing();
    
    public abstract void setLetterSpacing(String p0) throws DOMException;
    
    public abstract String getLineHeight();
    
    public abstract void setLineHeight(String p0) throws DOMException;
    
    public abstract String getListStyle();
    
    public abstract void setListStyle(String p0) throws DOMException;
    
    public abstract String getListStyleImage();
    
    public abstract void setListStyleImage(String p0) throws DOMException;
    
    public abstract String getListStylePosition();
    
    public abstract void setListStylePosition(String p0) throws DOMException;
    
    public abstract String getListStyleType();
    
    public abstract void setListStyleType(String p0) throws DOMException;
    
    public abstract String getMargin();
    
    public abstract void setMargin(String p0) throws DOMException;
    
    public abstract String getMarginTop();
    
    public abstract void setMarginTop(String p0) throws DOMException;
    
    public abstract String getMarginRight();
    
    public abstract void setMarginRight(String p0) throws DOMException;
    
    public abstract String getMarginBottom();
    
    public abstract void setMarginBottom(String p0) throws DOMException;
    
    public abstract String getMarginLeft();
    
    public abstract void setMarginLeft(String p0) throws DOMException;
    
    public abstract String getMarkerOffset();
    
    public abstract void setMarkerOffset(String p0) throws DOMException;
    
    public abstract String getMarks();
    
    public abstract void setMarks(String p0) throws DOMException;
    
    public abstract String getMaxHeight();
    
    public abstract void setMaxHeight(String p0) throws DOMException;
    
    public abstract String getMaxWidth();
    
    public abstract void setMaxWidth(String p0) throws DOMException;
    
    public abstract String getMinHeight();
    
    public abstract void setMinHeight(String p0) throws DOMException;
    
    public abstract String getMinWidth();
    
    public abstract void setMinWidth(String p0) throws DOMException;
    
    public abstract String getOrphans();
    
    public abstract void setOrphans(String p0) throws DOMException;
    
    public abstract String getOutline();
    
    public abstract void setOutline(String p0) throws DOMException;
    
    public abstract String getOutlineColor();
    
    public abstract void setOutlineColor(String p0) throws DOMException;
    
    public abstract String getOutlineStyle();
    
    public abstract void setOutlineStyle(String p0) throws DOMException;
    
    public abstract String getOutlineWidth();
    
    public abstract void setOutlineWidth(String p0) throws DOMException;
    
    public abstract String getOverflow();
    
    public abstract void setOverflow(String p0) throws DOMException;
    
    public abstract String getPadding();
    
    public abstract void setPadding(String p0) throws DOMException;
    
    public abstract String getPaddingTop();
    
    public abstract void setPaddingTop(String p0) throws DOMException;
    
    public abstract String getPaddingRight();
    
    public abstract void setPaddingRight(String p0) throws DOMException;
    
    public abstract String getPaddingBottom();
    
    public abstract void setPaddingBottom(String p0) throws DOMException;
    
    public abstract String getPaddingLeft();
    
    public abstract void setPaddingLeft(String p0) throws DOMException;
    
    public abstract String getPage();
    
    public abstract void setPage(String p0) throws DOMException;
    
    public abstract String getPageBreakAfter();
    
    public abstract void setPageBreakAfter(String p0) throws DOMException;
    
    public abstract String getPageBreakBefore();
    
    public abstract void setPageBreakBefore(String p0) throws DOMException;
    
    public abstract String getPageBreakInside();
    
    public abstract void setPageBreakInside(String p0) throws DOMException;
    
    public abstract String getPause();
    
    public abstract void setPause(String p0) throws DOMException;
    
    public abstract String getPauseAfter();
    
    public abstract void setPauseAfter(String p0) throws DOMException;
    
    public abstract String getPauseBefore();
    
    public abstract void setPauseBefore(String p0) throws DOMException;
    
    public abstract String getPitch();
    
    public abstract void setPitch(String p0) throws DOMException;
    
    public abstract String getPitchRange();
    
    public abstract void setPitchRange(String p0) throws DOMException;
    
    public abstract String getPlayDuring();
    
    public abstract void setPlayDuring(String p0) throws DOMException;
    
    public abstract String getPosition();
    
    public abstract void setPosition(String p0) throws DOMException;
    
    public abstract String getQuotes();
    
    public abstract void setQuotes(String p0) throws DOMException;
    
    public abstract String getRichness();
    
    public abstract void setRichness(String p0) throws DOMException;
    
    public abstract String getRight();
    
    public abstract void setRight(String p0) throws DOMException;
    
    public abstract String getSize();
    
    public abstract void setSize(String p0) throws DOMException;
    
    public abstract String getSpeak();
    
    public abstract void setSpeak(String p0) throws DOMException;
    
    public abstract String getSpeakHeader();
    
    public abstract void setSpeakHeader(String p0) throws DOMException;
    
    public abstract String getSpeakNumeral();
    
    public abstract void setSpeakNumeral(String p0) throws DOMException;
    
    public abstract String getSpeakPunctuation();
    
    public abstract void setSpeakPunctuation(String p0) throws DOMException;
    
    public abstract String getSpeechRate();
    
    public abstract void setSpeechRate(String p0) throws DOMException;
    
    public abstract String getStress();
    
    public abstract void setStress(String p0) throws DOMException;
    
    public abstract String getTableLayout();
    
    public abstract void setTableLayout(String p0) throws DOMException;
    
    public abstract String getTextAlign();
    
    public abstract void setTextAlign(String p0) throws DOMException;
    
    public abstract String getTextDecoration();
    
    public abstract void setTextDecoration(String p0) throws DOMException;
    
    public abstract String getTextIndent();
    
    public abstract void setTextIndent(String p0) throws DOMException;
    
    public abstract String getTextShadow();
    
    public abstract void setTextShadow(String p0) throws DOMException;
    
    public abstract String getTextTransform();
    
    public abstract void setTextTransform(String p0) throws DOMException;
    
    public abstract String getTop();
    
    public abstract void setTop(String p0) throws DOMException;
    
    public abstract String getUnicodeBidi();
    
    public abstract void setUnicodeBidi(String p0) throws DOMException;
    
    public abstract String getVerticalAlign();
    
    public abstract void setVerticalAlign(String p0) throws DOMException;
    
    public abstract String getVisibility();
    
    public abstract void setVisibility(String p0) throws DOMException;
    
    public abstract String getVoiceFamily();
    
    public abstract void setVoiceFamily(String p0) throws DOMException;
    
    public abstract String getVolume();
    
    public abstract void setVolume(String p0) throws DOMException;
    
    public abstract String getWhiteSpace();
    
    public abstract void setWhiteSpace(String p0) throws DOMException;
    
    public abstract String getWidows();
    
    public abstract void setWidows(String p0) throws DOMException;
    
    public abstract String getWidth();
    
    public abstract void setWidth(String p0) throws DOMException;
    
    public abstract String getWordSpacing();
    
    public abstract void setWordSpacing(String p0) throws DOMException;
    
    public abstract String getZIndex();
    
    public abstract void setZIndex(String p0) throws DOMException;
}
